import com.ibatis.common.resources.Resources;
import com.ibatis.sqlmap.client.SqlMapClient;
import com.ibatis.sqlmap.client.SqlMapClientBuilder;
import java.io.*;
import java.sql.SQLException;
import java.util.*;

public class IbatisUpdate{
	public static void main(String[] args) throws IOException,SQLException{
		Reader reader = Resources.getResourceAsReader("SqlMapConfig.xml");
	    SqlMapClient sqlMap = SqlMapClientBuilder.buildSqlMapClient(reader);
	    //Updating one record of contact
		System.out.println("*------ Updating informations of Contact -------*");
		Contact contct=new Contact();
		long contactId=1;
		sqlMap.delete("Contact.updateById",contactId);
	    System.out.println("|Updated Record Successfully ");
		System.out.println("All Contacts");
	    List<Contact> contacts = (List<Contact>)
	      sqlMap.queryForList("Contact.getAll",null);
	      Contact contact = null;
	    for (Contact c : contacts) {
		  System.out.print("  " + c.getId());
	      System.out.print("  " + c.getFirstName());
		  System.out.print("  " + c.getLastName());
		  System.out.print("  " + c.getEmail());
	      contact = c; 
		  System.out.println("");
		}
		System.out.println("==================================================");
	    }		
}
